package com.elab.mq.rocket.msg.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 生产者消息应用状态表
 *
 * @author liukx
 * @Date 2019-07-18 15:05
 */
@Table(name = "rmq_producer")
@ApiModel(description = "生产者消息应用状态表 实体")
public class RmqProducerEntity {

     /**
     * Id
     * 
     */
    @Id
    @ApiModelProperty(name = "id", value = "主键")
    private Integer id;

     /**
     * 生产者状态1成功-1失败
     * 
     */
    @Column(name = "producer_status")
    @ApiModelProperty(name = "producerStatus", value = "生产者状态1成功-1失败")
    private Integer producerStatus;

     /**
     * 生产者组
     * 
     */
    @Column(name = "producer_group")
    @ApiModelProperty(name = "producerGroup", value = "生产者组")
    private String producerGroup;

     /**
     * 生产者ip
     * 
     */
    @Column(name = "producer_ip")
    @ApiModelProperty(name = "producerIp", value = "生产者ip")
    private String producerIp;

     /**
     * topic
     * 
     */
    @Column(name = "topic")
    @ApiModelProperty(name = "topic", value = "topic")
    private String topic;

     /**
     * 标签
     * 
     */
    @Column(name = "tags")
    @ApiModelProperty(name = "tags", value = "标签")
    private String tags;

     /**
     * 发送内容
     * 
     */
    @Column(name = "content")
    @ApiModelProperty(name = "content", value = "发送内容")
    private String content;

     /**
     * 创建时间
     * 
     */
    @Column(name = "created")
    @ApiModelProperty(name = "created", value = "创建时间")
    private Date created;


     /**
     * 获取: Id
     * 
     */
    public Integer getId() {
    return id;
    }
     /**
     * 设置: Id
     * 
     */
    public void setId(Integer id) {
    this.id = id;
    }
     /**
     * 获取: 生产者状态1成功-1失败
     * 
     */
    public Integer getProducerStatus() {
    return producerStatus;
    }
     /**
     * 设置: 生产者状态1成功-1失败
     * 
     */
    public void setProducerStatus(Integer producerStatus) {
    this.producerStatus = producerStatus;
    }
     /**
     * 获取: 生产者组
     * 
     */
    public String getProducerGroup() {
    return producerGroup;
    }
     /**
     * 设置: 生产者组
     * 
     */
    public void setProducerGroup(String producerGroup) {
    this.producerGroup = producerGroup;
    }
     /**
     * 获取: 生产者ip
     * 
     */
    public String getProducerIp() {
    return producerIp;
    }
     /**
     * 设置: 生产者ip
     * 
     */
    public void setProducerIp(String producerIp) {
    this.producerIp = producerIp;
    }
     /**
     * 获取: topic
     * 
     */
    public String getTopic() {
    return topic;
    }
     /**
     * 设置: topic
     * 
     */
    public void setTopic(String topic) {
    this.topic = topic;
    }
     /**
     * 获取: 标签
     * 
     */
    public String getTags() {
    return tags;
    }
     /**
     * 设置: 标签
     * 
     */
    public void setTags(String tags) {
    this.tags = tags;
    }
     /**
     * 获取: 发送内容
     * 
     */
    public String getContent() {
    return content;
    }
     /**
     * 设置: 发送内容
     * 
     */
    public void setContent(String content) {
    this.content = content;
    }
     /**
     * 获取: 创建时间
     * 
     */
    public Date getCreated() {
    return created;
    }
     /**
     * 设置: 创建时间
     * 
     */
    public void setCreated(Date created) {
    this.created = created;
    }
}
